QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# LIBS += -L"D:\build-qwt-Desktop_Qt_5_12_8_MSVC2017_64bit-Debug\lib" -lqwtd
# LIBS += -L"D:\build-qwt-Desktop_Qt_5_12_8_MSVC2017_64bit-Debug\lib" -lqwt
# INCLUDEPATH += D:\app\Qt\5.15.2\msvc2019_64\include\qwt

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    Group.cpp \
    ImageWidget.cpp \
    ImageWidget_nodrag.cpp \
    Login.cpp \
    OriginalWnd/Demo001_1.cpp \
    OriginalWnd/Demo001_2.cpp \
    OriginalWnd/Demo001_3.cpp \
    OriginalWnd/OriginalWnd.cpp \
    OriginalWnd/treeviewmanager.cpp \
    main.cpp \
    MainWnd.cpp \

HEADERS += \
    Group.h \
    ImageWidget.h \
    ImageWidget_nodrag.h \
    Login.h \
    MainWnd.h \
    OriginalWnd/Demo001_1.h \
    OriginalWnd/Demo001_2.h \
    OriginalWnd/Demo001_3.h \
    OriginalWnd/OriginalWnd.h \
    OriginalWnd/treeviewmanager.h \

FORMS += \
    Group.ui \
    ImageWidget.ui \
    ImageWidget_nodrag.ui \
    Login.ui \
    MainWnd.ui \
    OriginalWnd/Demo001_1.ui \
    OriginalWnd/Demo001_2.ui \
    OriginalWnd/Demo001_3.ui \
    OriginalWnd/OriginalWnd.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    images/drop.png

RESOURCES += \
    res.qrc

QMAKE_PROJECT_DEPTH = 0
